Skip to content

Get a New Strategy Group

Request

Get a strategy group by ID.

Security
Auth0(Required scopes: offline_accessmanage:services)
Path
strategy_group_idinteger, (int64)required
Query
withstring

Comma-separated list of related entities to embed. Only strategies is supported; when set, the response includes a strategies array of {id, entity_type, name}.

curl -i -X GET \
  'https://api.mediamath.com/api/v3.0/new_strategy_groups/{strategy_group_id}?with=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Strategy group response

Bodyapplication/json
dataobject(new_strategy_group_full)
metaobject
Response
{ "data": { "name": "string", "description": "string", "spend_cap_type": "even", "spend_cap_amount": 0.01, "impression_cap_type": "even", "impression_cap_amount": 1, "external_identifier": "string", "id": 0, "entity_type": "string", "version": 0, "campaign_id": 0, "strategy_count": 3, "strategies": [], "created_on": "2019-08-24T14:15:22Z", "updated_on": "2019-08-24T14:15:22Z" }, "meta": { "status": "success" } }